%define ver_major 2.22

Name: gconf-editor
Version: %ver_major.0
Release: alt1.1.qa1

Summary: An editor for the GConf configuration system.
License: GPLv2+
Group: Graphical desktop/GNOME
Url: ftp://ftp.gnome.org
Packager: GNOME Maintainers Team <gnome at packages.altlinux.org>

Source: ftp://ftp.gnome.org/pub/gnome/sources/%name/%ver_major/%name-%version.tar.bz2

%define GConf_ver 2.9.2
%define gtk_ver 2.5.5

PreReq: GConf2 >= %GConf_ver

BuildPreReq: rpm-build-gnome >= 0.5

# From configure.in
BuildPreReq: intltool >= 0.35.0
BuildPreReq: perl-XML-Parser
BuildPreReq: libGConf2-devel >= %GConf_ver
BuildPreReq: libgtk+2-devel >= %gtk_ver
BuildPreReq: libgnome-devel >= 2.14.0
BuildPreReq: libgnomeui-devel >= 2.5.4

BuildRequires: scrollkeeper gnome-doc-utils gnome-common libSM-devel

%description
An editor for the GConf configuration system.
Directly edit your entire configuration database.

%prep
%setup -q

%build
%configure --disable-scrollkeeper --disable-schemas-install
%make_build

%install
%makeinstall

%find_lang --with-gnome %name

%postun -n gconf-editor
%clean_menus


%post
%gconf2_install %name
%update_menus

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall %name
fi

%files -f %name.lang
%_bindir/*
%_desktopdir/*
%_liconsdir/gconf-editor.png
%_pixmapsdir/*
%_man1dir/*
%config %gconf_schemasdir/*
%doc AUTHORS ChangeLog README

%changelog
* Thu Apr 10 2008 Igor Vlasenko <viy@altlinux.ru> 2.22.0-alt1.1.qa1
- NMU (by repocop): the following fixes applied:
 * update_menus for gconf-editor

* Tue Mar 18 2008 Alexey Shabalin <shaba@altlinux.ru> 2.22.0-alt1.1
- build for Sisyphus

* Sun Mar 16 2008 Alexey Shabalin <shaba@altlinux.ru> 2.22.0-alt1
- new version (2.22.0)

* Tue Dec 04 2007 Alexey Shabalin <shaba@altlinux.ru> 2.20.0-alt1
- new version (2.20.0)
- add Packager

* Thu Aug 09 2007 Alexey Rusakov <ktirf@altlinux.org> 2.18.0-alt1
- new version (2.18.0)
- use more macros, spec cleanup

* Sat Sep 30 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.16.0-alt1
- new version (2.16.0)
- updated depenedencies
- removed scrollkeeper workaround in the specfile.

* Sat Apr 15 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.14.0-alt1
- new version 2.14.0 (with rpmrb script)

* Sat Feb 25 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.13.90-alt1
- new version (2.13.90)

* Sat Sep 24 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.12.0-alt1
- 2.12.0

* Tue Sep 06 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.11.92-alt1
- 2.11.92
- Removed excess buildreqs.

* Mon Mar 07 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.10.0-alt1
- 2.10.0

* Mon Feb 28 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.9.92-alt1
- 2.9.92.

* Mon Feb 07 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.9.3-alt1
- 2.9.3

* Thu Oct 28 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.8.2-alt1
- 2.8.2

* Mon Sep 13 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.8.0-alt1
- 2.8.0

* Thu Sep 09 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.7.92-alt1
- 2.7.92

* Thu Jun 17 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.2-alt1
- 2.6.2

* Fri Apr 16 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.1-alt1
- 2.6.1

* Tue Mar 23 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.0-alt1
- 2.6.0

* Mon Mar 08 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.91-alt1
- 2.5.91

* Wed Feb 04 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.4-alt1
- 2.5.4

* Thu Jan 15 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.1-alt1
- 2.5.1

* Sat Sep 06 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.4.0-alt1
- 2.4.0

* Thu Aug 21 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.6-alt1
- 2.3.6

* Wed Jun 04 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.5.0-alt1
- 0.5.0

* Mon Jan 27 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.4.0-alt2
- menu file fixed.

* Tue Dec 10 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.4.0-alt1
- new version.

* Sun Oct 06 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.3.1-alt2
- rebuild with new pango, gtk+ with Xft2 support.

* Sun Sep 29 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.3.1-alt1
- 0.3.1
- gcc-3.2 used
- buildreqs updated

* Fri Jun 07 2002 Igor Androsov <blake@altlinux.ru> 0.2-alt1
- Create Spec for AltLinux Team
- Inital build
